<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>pi.arctic.esprit</groupId>
	<artifactId>panorama_quiz</artifactId>
	<version>0.0.1-SNAPSHOT</version>
	<packaging>pom</packaging>
	<properties>

		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<maven.compiler.target>1.8</maven.compiler.target>
		<maven.compiler.source>1.8</maven.compiler.source>
		<version.javaee>7.0</version.javaee>

		<version.google.guava>18.0</version.google.guava>

		<version.wildfly.maven.plugin>1.0.2.Final</version.wildfly.maven.plugin>
		<version.wildfly>9.0.1.Final</version.wildfly>
		<version.hibernate>4.3.10.Final</version.hibernate>
		<primefaces.version>5.3</primefaces.version>

		<version.compiler.plugin>3.1</version.compiler.plugin>
		<version.ear.plugin>2.10</version.ear.plugin>
		<version.war.plugin>2.5</version.war.plugin>
		<version.ejb.plugin>2.4</version.ejb.plugin>
		<version.surefire.plugin>2.16</version.surefire.plugin>
		<version.archetype.plugin>2.2</version.archetype.plugin>

	</properties>

	<dependencyManagement>
		<dependencies>

			<dependency>
				<groupId>pi.arctic.esprit</groupId>
				<artifactId>panorama_quiz-ejb</artifactId>
				<version>0.0.1-SNAPSHOT</version>
				<type>ejb</type>
			</dependency>

			<dependency>
				<groupId>pi.arctic.esprit</groupId>
				<artifactId>panorama_quiz-web</artifactId>
				<version>0.0.1-SNAPSHOT</version>
				<type>war</type>
			</dependency>


			<dependency>
				<groupId>javax</groupId>
				<artifactId>javaee-api</artifactId>
				<version>${version.javaee}</version>
				<scope>provided</scope>
			</dependency>

			<dependency>
				<groupId>org.primefaces</groupId>
				<artifactId>primefaces</artifactId>
				<version>${primefaces.version}</version>
			</dependency>

		</dependencies>
	</dependencyManagement>


	<distributionManagement>
		<repository>
			<id>deployment</id>
			<name>releases</name>
			<url>http://git.esprit.tn:8081/nexus/content/repositories/releases/</url>
		</repository>

		<snapshotRepository>
			<id>deployment</id>
			<name>snapshots</name>
			<url>http://git.esprit.tn:8081/nexus/content/repositories/snapshots/</url>
		</snapshotRepository>
	</distributionManagement>
	<build>
		<pluginManagement>
			<plugins>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-archetype-plugin</artifactId>
					<version>${version.archetype.plugin}</version>
				</plugin>
			</plugins>
		</pluginManagement>
	</build>
  <modules>
    <module>panorama_quiz-ejb</module>
    <module>panorama_quiz-web</module>
    <module>panorama_quiz-ear</module>
    <module>panorama_quiz-client</module>
  </modules>
</project>